#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int broj_cifara(ll x){
    if(x==0){
        return 0;
    }
    int c=1;
    while(x/10!=0){
        x=x/10;
        c++;
    }
    return c;
}
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    ll x,y;
    cin>>x>>y;
    int cx=broj_cifara(x);
    int cy=broj_cifara(y);
    int c=min(cx,cy);
    string res;
    ll px=x;
    ll py=y;
    int resc;
    while(x!=0&&y!=0){
        int a=x%10;
        x/=10;
        int b=y%10;
        y/=10;
        resc=res.size();
        if(a!=b){
            int p=max(a,b);
            res+=to_string(p);
        }
        else{
            res+=to_string(a);
            res+=to_string(b);
        }
    }
    reverse(res.begin(),res.end());
    resc=res.size();
    string sx;
    if(cx!=cy){
        ll k=1;
        int maxi=max(cx,cy);
        if(maxi==cx){
            for(int i=1;i<=c;i++){
                k*=10;
            }
            string sol;
            sol+=to_string(px/k);
            cout<<sol<<res<<endl;
        }
        else{
            for(int i=1;i<=c;i++){
                k*=10;
            }
            string sol;
            sol+=to_string(py/k);
            cout<<sol<<res<<endl;
        }
    }
    else{
        cout<<res<<endl;
    }
}